Browser Profiles
List authorized Vault browser profile metadata without authentication state
List authorized Vault browser profile metadata without authentication state. A personal browser session is required. Profile access and independently authorized terminal/workspace assignments apply; profile authentication state is not returned.
GET
/
api
/
v1
/
vault
/
browser-profiles
List authorized Vault browser profile metadata without authentication state
curl --request GET \
--url https://api.revoengine.com/api/v1/vault/browser-profiles \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/vault/browser-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/vault/browser-profiles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"profiles": [
{
"name": "<string>",
"description": "<string>",
"users": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"groups": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"assignments": [
{
"agentTerminalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentTerminalWorkspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"browserProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revision": 1,
"policyRevision": 2,
"savedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"busy": true,
"restricted": true,
"browserSettings": {
"fps": 32.5,
"width": 2080,
"height": 1320,
"alwaysRecord": true,
"recordingMode": "local"
}
}
],
"nextCursor": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"defaultProfile": {
"name": "<string>",
"description": "<string>",
"users": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"groups": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"assignments": [
{
"agentTerminalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentTerminalWorkspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"browserProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revision": 1,
"policyRevision": 2,
"savedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"busy": true,
"restricted": true,
"browserSettings": {
"fps": 32.5,
"width": 2080,
"height": 1320,
"alwaysRecord": true,
"recordingMode": "local"
}
}
}Authorizations
Bearer JWT token or API Key (sk-*).
Query Parameters
⌘I
List authorized Vault browser profile metadata without authentication state
curl --request GET \
--url https://api.revoengine.com/api/v1/vault/browser-profiles \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/vault/browser-profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/vault/browser-profiles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"profiles": [
{
"name": "<string>",
"description": "<string>",
"users": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"groups": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"assignments": [
{
"agentTerminalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentTerminalWorkspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"browserProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revision": 1,
"policyRevision": 2,
"savedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"busy": true,
"restricted": true,
"browserSettings": {
"fps": 32.5,
"width": 2080,
"height": 1320,
"alwaysRecord": true,
"recordingMode": "local"
}
}
],
"nextCursor": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"defaultProfile": {
"name": "<string>",
"description": "<string>",
"users": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"groups": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"assignments": [
{
"agentTerminalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentTerminalWorkspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"browserProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ownerUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revision": 1,
"policyRevision": 2,
"savedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"busy": true,
"restricted": true,
"browserSettings": {
"fps": 32.5,
"width": 2080,
"height": 1320,
"alwaysRecord": true,
"recordingMode": "local"
}
}
}
